package net.shadowfacts.phycon.block.terminal

import net.minecraft.entity.player.PlayerInventory
import net.minecraft.text.Text
import net.minecraft.util.Identifier
import net.shadowfacts.phycon.PhysicalConnectivity

/**
 * @author shadowfacts
 */
class TerminalScreen(
	handler: TerminalScreenHandler,
	playerInv: PlayerInventory,
	title: Text,
): AbstractTerminalScreen<TerminalBlockEntity, TerminalScreenHandler>(
	handler,
	playerInv,
	title,
	252,
	222
) {

	companion object {
		private val BACKGROUND = Identifier(PhysicalConnectivity.MODID, "textures/gui/terminal.png")
	}

	override val backgroundTexture = BACKGROUND

	override fun createViewController(): AbstractTerminalViewController<*, *, *> {
		return TerminalViewController(this, handler)
	}

}
